classification
Title: With VS2010 the select extension links against wsock32 instead of ws2_32
Type: resource usage Stage: resolved
Components: Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brian.curtin, kristjan.jonsson, loewis, python-dev, sbt, tim.golden
Priority: normal Keywords: patch

Created on 2012-10-21 17:21 by sbt, last changed 2012-10-24 16:49 by sbt. This issue is now closed.

Files
File name Uploaded Description Edit
select.patch kristjan.jonsson, 2012-10-22 12:16 review
Messages (4)
msg173463 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2012-10-21 17:21
Using VS2010 _socket links against ws2_32.lib but select links against wsock32.lib.

Using VS2008 both extensions link against ws2_32.lib.  It appears that the conversion to VS2010 caused the regression.

(Compare #10295 and #11750.)
msg173508 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2012-10-22 12:16
See this patch.
msg173509 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-10-22 12:46
LGTM
msg173513 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-22 13:01
New changeset daad150b4670 by Kristjan Valur Jonsson in branch '3.3':
Issue #16295: Link "select" with ws2_32.lib, the winsock2 stub library.
http://hg.python.org/cpython/rev/daad150b4670

New changeset a2cd25d434b3 by Kristjan Valur Jonsson in branch 'default':
Merge with 3.3: Issue #16295: Link "select" with ws2_32, the winsock2 lib.
http://hg.python.org/cpython/rev/a2cd25d434b3
History
Date User Action Args
2012-10-24 16:49:22sbtsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-10-22 13:01:14python-devsetnosy: + python-dev
messages: + msg173513
2012-10-22 12:46:21loewissetmessages: + msg173509
2012-10-22 12:16:13kristjan.jonssonsetfiles: + select.patch
keywords: + patch
messages: + msg173508
2012-10-21 20:56:05pitrousetnosy: + loewis, tim.golden, brian.curtin
2012-10-21 17:21:22sbtcreate